@charset "UTF-8";
/* CSS Document */

.roboto-regular {
  font-family: "Roboto", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-variation-settings:"wdth" 100;
}



.cormorant-garamond-light {
  font-family: "Cormorant Garamond", serif;
  font-optical-sizing: auto;
  font-weight: 100;
  font-style: normal;
}

* { box-sizing: border-box; }
html, body {
    margin: 0;
    height: 100%;
    overflow: hidden; /* PAS DE SCROLL */
    background: #efede5;
    font-family: "Roboto", sans-serif;
	font-color: #232222;
}

h1{
	font-family: "Cormorant Garamond", serif;
	font-optical-sizing:auto;
  	font-weight: 300;
	font-size: 20px;
  	font-style: normal;
	color:#746C6C;
	letter-spacing:3px;
}
a{
	font-family: "Cormorant Garamond", serif;
	font-optical-sizing: auto;
  	font-weight: 300;
  	font-style: normal;
	color: #0f191e;
	font-size: 16px;
	text-decoration: none;
	letter-spacing:5px;
}
a:hover{
	font-family: "Cormorant Garamond", serif;
	font-optical-sizing: auto;
  	font-weight: 300;
  	font-style: normal;
	color: #7a2323;
	text-decoration: none;
}
a:visited{
	font-family: "Cormorant Garamond", serif;
	font-optical-sizing: auto;
  	font-weight: 300;
  	font-style: normal;
	color: #0f191e;
	text-decoration: none;
}
	
.global{
	max-width: 420px;
	width: 100%;
	height: 100vh;
	margin: 0px;
	padding: 0px;
	position: relative;
}


/* Le wrapper ne sert QU'À centrer */
.hero-wrap{
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 375px;
  height: 511px;
}

/* L’intérieur porte l’image + l’animation */
.hero-frame{
  width: 100%;
  height: 100%;
  background-image: url("../img/web-mobile/hero-mobile.png");
  background-size: contain;
  background-repeat: no-repeat;

  transition: transform 0.4s ease, filter 0.4s ease, opacity 0.4s ease;
  transform: scale(1);
  transform-origin: center bottom;
}

.hero-frame.active{
  transform: scale(1.05);
  filter: blur(2px);
  opacity: 0.55;
}
.menu-frame{
  width: 100%;
  height: 100%;
}

.titre{
	margin: 15px 0 0 10px;
	display: inherit;
	width: auto;
	align-content: center;
	font-family:"Cormorant Garamond", serif;
	font-optical-sizing: auto;
  	font-weight: 100;
  	font-style: normal;
	color: #707375;
	text-decoration: none;
	font-size: 26px;
	letter-spacing: 3px;
}
.baseline{
	margin: 5px 0 0 20px;
	width: auto;
	align-content: center;
	font-family:"Roboto" sans-serif;
	font-optical-sizing: auto;
  	font-weight: 300;
  	font-style: normal;
	color: #0f191e;
	text-decoration: none;
	font-size: 12px;
	letter-spacing: 0.5px;
	animation: heartbeatBlur 5s ease-in-out infinite;
}
	
	/* ===== PIXEL MATRIX (DECLENCHEUR HOVER) ===== */
.pixel-matrix {
    position:inherit;
	margin: -50px 50px 0 0;
	float: right;
	display: block;
    width: 20px;
    height: 20px;
    background-color: #0f191e;
    cursor: pointer;
	z-index: 999;
}


/* ===== MENU PANEL ===== */
.menu {
    position: inherit;
    margin: -20px -20px 0 0;
	float: right;		/* Ajustable */
    width: 180px;
	height: 323px;
    background:#E7E7E7;
    padding: 30px 25px;
	opacity: 0%;
    transform: translateY(100%); /* caché */
    transition: transform 0.5s ease;
	z-index: 999;
}

/* IMPORTANT :
   Le menu s'ouvre si :
   - hover sur pixel-matrix
   - hover sur menu lui-même
*/
/* état ouvert */
.menu.active {
    transform: translateY(0);
    opacity: 80%;
    visibility: visible;
}

/* ===== MENU ITEMS ===== */
.menu a {
    display: block;
    color: #0f191e;
    text-decoration: none;
    margin-bottom: 20px;
    font-size: 16px;
}
.menu a:last-child {
    margin-bottom: 0;
}


@media(min-width:421px){
	
.global{
	width: 100%;
	height: 100vh;
	margin: 0px;
	padding: 0px;
	position: relative;
}


/* Le wrapper ne sert QU'À centrer */
.hero-wrap{
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 420px;
  height: 511px;
}

/* L’intérieur porte l’image + l’animation */
.hero-frame{
  width: 100%;
  height: 100%;
  background-image: url("../img/web-large/hero-large.png");
  background-size: contain;
  background-repeat: no-repeat;

  transition: transform 0.4s ease, filter 0.4s ease, opacity 0.4s ease;
  transform: scale(1);
  transform-origin: center bottom;
}

.hero-frame.active{
  transform: scale(1.05);
  filter: blur(2px);
  opacity: 0.55;
}

.titre{
	margin: 15px 0 0 10px;
	display: inherit;
	width: auto;
	align-content: center;
	font-family:"Cormorant Garamond", serif;
	font-optical-sizing: auto;
  	font-weight: 100;
  	font-style: normal;
	color: #707375;
	text-decoration: none;
	font-size: 26px;
	letter-spacing: 3px;
}
.baseline{
	margin: 5px 0 0 20px;
	width: auto;
	align-content: center;
	font-family:"Roboto" sans-serif;
	font-optical-sizing: auto;
  	font-weight: 300;
  	font-style: normal;
	color: #0f191e;
	text-decoration: none;
	font-size: 12px;
	letter-spacing: 0.5px;
	animation: heartbeatBlur 5s ease-in-out infinite;
}
	
	/* ===== PIXEL MATRIX (DECLENCHEUR HOVER) ===== */
.pixel-matrix {
    position:inherit;
	margin: 30px 50px 0 0;
	float: right;
	display: block;
    width: 20px;
    height: 20px;
    background-color: #0f191e;
    cursor: pointer;
	z-index: 999;
}


/* ===== MENU PANEL ===== */
.menu {
    position: inherit;
    margin: 55px -50px 0 0;
	float: right;		/* Ajustable */
    width: 180px;
	height: 323px;
    background: #e6e5dd;
    padding: 30px 25px;
	opacity: 0%;
    transform: translateY(100%); /* caché */
    transition: transform 0.5s ease;
	z-index: 999;
}

/* IMPORTANT :
   Le menu s'ouvre si :
   - hover sur pixel-matrix
   - hover sur menu lui-même
*/
/* état ouvert */
.menu.active {
    transform: translateY(0);
    opacity: 80%;
    visibility: visible;
}

/* ===== MENU ITEMS ===== */
.menu a {
    display: block;
    color: #0f191e;
    text-decoration: none;
    margin-bottom: 20px;
    font-size: 16px;
}
.menu a:last-child {
    margin-bottom: 0;
}

}





/* Animation battement */
@keyframes heartbeatBlur {

    0% {
        filter: blur(1px);
        opacity: 0.3;
    }

    25% {
        filter: blur(0px);
        opacity: 1;
    }

    40% {
        filter: blur(2px);
        opacity: 0.5;
    }

    55% {
        filter: blur(0px);
        opacity: 1;
    }

    100% {
        filter: blur(1px);
        opacity: 0.3;
    }
}